%define major         11
%define gpgmepp_major 6
%define qgpgme_major  7

%define libname_orig  %mklibname %{name}
%define libname       %mklibname %{name} %{major}
%define libgpgmepp    %mklibname gpgmepp %{gpgmepp_major}
%define libqgpgme     %mklibname qgpgme %{qgpgme_major}
%define develname     %mklibname %{name} -d

%define gpg2_version  2.1.13

Summary:	GnuPG Made Easy (GPGME)
Name:		gpgme
Version:	1.11.1
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		http://www.gnupg.org/gpgme.html
Source0:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.bz2.sig

## downstream patches
# add -D_FILE_OFFSET_BITS... to gpgme-config, upstreamable
Patch11:	gpgme-1.3.2-largefile.patch

# support for Cryptographic Message Syntax protocol
BuildRequires:	gnupg2 >= %{gpg2_version}
BuildRequires:	libassuan-devel >= 2.4.2
BuildRequires:	libgpg-error-devel >= 1.29
BuildRequires:	libglib2-devel >= 2.0.0
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	doxygen
BuildRequires:	graphviz
# Build dependencies for Python subpackages
BuildRequires:	swig
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(python3)

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{libname}
Summary:	GnuPG Made Easy (GPGME)
Group:		System/Libraries
# support for Cryptographic Message Syntax protocol
Requires:	gnupg2 >= %{gpg2_version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.


%package -n %{libgpgmepp}
Summary:	GpgME++ - C++ bindings/wrapper for gpgme
Group:		System/Libraries

%description -n %{libgpgmepp}
GpgME++ - C++ bindings/wrapper for gpgme

%package -n %{libqgpgme}
Summary:	GpgME++ - C++ bindings/wrapper for gpgme
Group:		System/Libraries

Obsoletes:	%{_lib}kf5gpgme4 < 16.11.90
Obsoletes:	%{_lib}kf5gpgme5 < 16.11.90
Obsoletes:	%{_lib}kf5gpgmepp5 < 16.11.90
Obsoletes:	%{_lib}kf5gpgme-pthread5 < 16.11.90

%description -n %{libqgpgme}
GpgME++ - C++ bindings/wrapper for gpgme.

%package -n %{develname}
Summary:	GnuPG Made Easy (GPGME) Header files and libraries for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgpgmepp} = %{version}-%{release}
Requires:	%{libqgpgme} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 11 -d

Obsoletes:	%{_lib}kf5gpgme-devel < 16.11.90

Conflicts:	kdepimlibs < 2:4.14.11

%description -n %{develname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install this package if you want to develop applications 
that will use the %{name} library for crypto awareness.

%package -n python2-gpg
Summary:	GnuPG Made Easy (GPGME) bindings for Python 2
Group:		Development/Python
Provides:	python-gpg = %{version}-%{release}
Provides:	python-gpg%{?_isa} = %{version}-%{release}
Requires:	%{libname}%{?_isa} = %{version}-%{release}

%description -n python2-gpg
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

This package provides bindings to %{name} libraries for Python 2.

%package -n python3-gpg
Summary:	GnuPG Made Easy (GPGME) bindings for Python 3
Group:		Development/Python
Requires:	%{libname}%{?_isa} = %{version}-%{release}

%description -n python3-gpg
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

This package provides bindings to %{name} libraries for Python 3.


%prep
%setup -q
%apply_patches

# Force GPG2
find -type f -name Makefile\* -exec sed -i -e 's|GPG = gpg|GPG = gpg2|' {} ';'

%build
%configure2_5x \
	--enable-languages=cpp,qt,cl

%make_build

# all tests must pass
%check
# https://dev.gnupg.org/T3920
make check || :

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/gpgme-config

#we don't want these
find %{buildroot} -name "*.la" -delete

# autofoo installs useless stuff for uninstall
rm -vf %{buildroot}%{python2_sitelib}/gpg/install_files.txt
rm -vf %{buildroot}%{python3_sitelib}/gpg/install_files.txt

%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{libgpgmepp}
%doc lang/cpp/README
%{_libdir}/libgpgmepp.so.%{gpgmepp_major}.*
/usr/lib/libgpgmepp.so.6

%files -n %{libqgpgme}
%{_libdir}/libqgpgme.so.%{qgpgme_major}.*
/usr/lib/libqgpgme.so.7

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%multiarch %{multiarch_bindir}/gpgme-config
%{_bindir}/gpgme-config
%{_bindir}/gpgme-json
%{_bindir}/gpgme-tool
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_includedir}/gpgme++/
%{_includedir}/QGpgME/
%{_includedir}/qgpgme/
%{_includedir}/*.h
%{_infodir}/*
%dir %{_datadir}/common-lisp/source/gpgme
%{_datadir}/common-lisp/source/gpgme/gpgme-package.lisp
%{_datadir}/common-lisp/source/gpgme/gpgme.asd
%{_datadir}/common-lisp/source/gpgme/gpgme.lisp
%{_libdir}/cmake/Gpgmepp/
%{_libdir}/cmake/QGpgme/

%files -n python2-gpg
%doc lang/python/README
#%{python2_sitearch}/gpg-*.egg-info
#%{python2_sitearch}/gpg/

%files -n python3-gpg
%doc lang/python/README
#%{python3_sitearch}/gpg-*.egg-info
#%{python3_sitearch}/gpg/


%changelog
* Tue Oct 30 2018 adrianomorselli <adrianomorselli> 1.11.1-1uplos2018
- update
